Input fields restricted on length should have maxlength parameter set

2013-01-13 19:18 - Harald Glock

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.2.2   

Resolution: Fixed Affected version:  

Description

When entering the subject of a ticket/issue or writing a comment in the timelog, you can enter as many characters in the input field as

you want. But if you entered more then 255 characters, this will give an error later when sending it to the redmine instance ("... too

long (maximum 255 characters)").

It would be better if the HTML input field already has the maxlength parameter set to 255 then. Having this parameter set, you cannot

enter more than maxlength characters into the input field. Thus, the user would immediately recognize that he cannot enter more

characters instead of getting an error later when he already typed the too long input.

I just checked for the 2 mentioned input fields, there are probably a lot more of them.

Associated revisions

Revision 11233 - 2013-01-20 18:02 - Jean-Philippe Lang

Input fields restricted on length should have maxlength parameter set (#12833).

Revision 11234 - 2013-01-20 18:03 - Jean-Philippe Lang

Backported r11233 from trunk (#12833).

History

#1 - 2013-01-13 19:48 - Daniel Felix

- File setMaximumLenght.diff added

Hi,

I've attached a small patch which corrects this for timelog comments and issue subjects.

Best regards,

Daniel

#2 - 2013-01-14 19:49 - Harald Glock

Thanks Daniel.

Applied the patch with small change to redmine-2.1.4 (line no in app/views/timelog/_form.html.erb has changed since 2.1.4) and it works as expected.

Hope it will make it into redmine.

#3 - 2013-01-15 04:19 - Toshi MARUYAMA

- Category set to UI

#4 - 2013-01-16 11:52 - Daniel Felix

- Status changed from New to Resolved

- Target version set to Candidate for next minor release

- Resolution set to Fixed

#5 - 2013-01-16 11:52 - Daniel Felix

- Target version changed from Candidate for next minor release to 2.2.2
#6 - 2013-01-20 18:03 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Committed.

Files

setMaximumLenght.diff 1.33 KB 2013-01-13 Daniel Felix
